org.apache.maven.scm.provider.svn.svnexe

## Class SvnExeScmProvider

- java.lang.Object
- - org.apache.maven.scm.provider.AbstractScmProvider
  - - org.apache.maven.scm.provider.svn.AbstractSvnScmProvider
    - - org.apache.maven.scm.provider.svn.svnexe.SvnExeScmProvider

- All Implemented Interfaces:
    ScmProvider

      public class SvnExeScmProvider
      extends AbstractSvnScmProvider

  Version:
    $Id: SvnExeScmProvider.java 686352 2008-08-15 19:57:01Z vsiveton $
  Author:
    Emmanuel Venisse

- - ### Field Summary

    - ### Fields inherited from interface org.apache.maven.scm.provider.ScmProvider

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SvnExeScmProvider()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected SvnCommand` | `getAddCommand()`
    `protected SvnCommand` | `getBranchCommand()`
    `protected SvnCommand` | `getChangeLogCommand()`
    `protected SvnCommand` | `getCheckInCommand()`
    `protected SvnCommand` | `getCheckOutCommand()`
    `protected SvnCommand` | `getDiffCommand()`
    `protected SvnCommand` | `getExportCommand()`
    `SvnCommand` | `getInfoCommand()`
    `protected SvnCommand` | `getListCommand()`
    `protected SvnCommand` | `getRemoveCommand()`
    `protected String` | `getRepositoryURL(File path)`
    `protected SvnCommand` | `getStatusCommand()`
    `protected SvnCommand` | `getTagCommand()`
    `protected SvnCommand` | `getUpdateCommand()`

    - ### Methods inherited from class org.apache.maven.scm.provider.svn.AbstractSvnScmProvider

      `add, branch, changelog, checkin, checkout, diff, executeCommand, export, getScmSpecificFilename, getScmType, info, list, makeProviderScmRepository, makeProviderScmRepository, remove, status, tag, update, validateScmUrl`

    - ### Methods inherited from class org.apache.maven.scm.provider.AbstractScmProvider

      `add, add, addListener, branch, branch, branch, changeLog, changeLog, changeLog, changeLog, changeLog, changeLog, changeLog, changeLog, checkIn, checkIn, checkIn, checkOut, checkOut, checkOut, checkOut, checkOut, checkOut, diff, diff, edit, edit, export, export, export, export, export, getLogger, list, list, login, remove, requiresEditMode, sanitizeTagName, status, tag, tag, tag, unedit, unedit, update, update, update, update, update, update, update, update, update, update, update, update, validateTagName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SvnExeScmProvider

          public SvnExeScmProvider()

  - ### Method Detail

    - #### getAddCommand

          protected SvnCommand getAddCommand()

      Specified by:
        `getAddCommand` in class `AbstractSvnScmProvider`

    - #### getBranchCommand

          protected SvnCommand getBranchCommand()

      Specified by:
        `getBranchCommand` in class `AbstractSvnScmProvider`

    - #### getChangeLogCommand

          protected SvnCommand getChangeLogCommand()

      Specified by:
        `getChangeLogCommand` in class `AbstractSvnScmProvider`

    - #### getCheckInCommand

          protected SvnCommand getCheckInCommand()

      Specified by:
        `getCheckInCommand` in class `AbstractSvnScmProvider`

    - #### getCheckOutCommand

          protected SvnCommand getCheckOutCommand()

      Specified by:
        `getCheckOutCommand` in class `AbstractSvnScmProvider`

    - #### getDiffCommand

          protected SvnCommand getDiffCommand()

      Specified by:
        `getDiffCommand` in class `AbstractSvnScmProvider`

    - #### getExportCommand

          protected SvnCommand getExportCommand()

      Specified by:
        `getExportCommand` in class `AbstractSvnScmProvider`

    - #### getRemoveCommand

          protected SvnCommand getRemoveCommand()

      Specified by:
        `getRemoveCommand` in class `AbstractSvnScmProvider`

    - #### getStatusCommand

          protected SvnCommand getStatusCommand()

      Specified by:
        `getStatusCommand` in class `AbstractSvnScmProvider`

    - #### getTagCommand

          protected SvnCommand getTagCommand()

      Specified by:
        `getTagCommand` in class `AbstractSvnScmProvider`

    - #### getUpdateCommand

          protected SvnCommand getUpdateCommand()

      Specified by:
        `getUpdateCommand` in class `AbstractSvnScmProvider`

    - #### getListCommand

          protected SvnCommand getListCommand()

      Specified by:
        `getListCommand` in class `AbstractSvnScmProvider`

    - #### getInfoCommand

          public SvnCommand getInfoCommand()

      Specified by:
        `getInfoCommand` in class `AbstractSvnScmProvider`

    - #### getRepositoryURL

          protected String getRepositoryURL(File path)
                                     throws ScmException

      Specified by:
        `getRepositoryURL` in class `AbstractSvnScmProvider`
      Throws:
        `ScmException`

Copyright © 2003–2015. All rights reserved.